POST
Start the next episode

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Headers

Idempotency-Key
string

Path Parameters

id
string
required

Drama ID

Body

application/json

Request to start the next episode.

budget_usd
number

Budget for this episode in USD

Required range: x >= 0
Example:

20

Response

OK

A drama (POST /v1/dramas, GET /v1/dramas/{id}).

id
string

ID (drama_ prefix)

Example:

"drama_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

object
string

Object type

Example:

"drama"

status
enum<string>

Status: draft / producing / completed / archived

Available options:
draft,
producing,
completed,
archived
Example:

"producing"

source
enum<string>

Source: ai (written from the brief) / script (adapted from a script)

Available options:
ai,
script
Example:

"ai"

title
string

Title (available after understand or the outline)

aspect_ratio
string

Aspect ratio

Example:

"9:16"

resolution
string

Resolution

Example:

"720p"

language
string

Language

Example:

"zh"

planned_episodes
integer<int32>

Planned number of episodes

Example:

3

episode_seconds
integer<int32>

Episode length in seconds

Example:

60

models
object

Models used by the drama.

web_research
boolean

Whether the brief is researched on the web

auto_confirm
boolean

Whether each step continues automatically

auto_continue
boolean

Whether the next episode starts automatically

episodes
object[]

Episodes started so far

end_user
string

End-user identifier

metadata
object

Your metadata

created_at
integer<int64>

Creation time (Unix seconds)